%global rel 1_27
%global checkout 38cdaf6

Name:           mediawiki127-intersection
Version:        1.7.0
Release:        1%{?dist}
Summary:        Create a list of pages that are listed in a set of categories

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mediawiki.org/wiki/Extension:DynamicPageList_(Wikimedia)
Source0:        https://extdist.wmflabs.org/dist/extensions/intersection-REL%{rel}-%{checkout}.tar.gz
Source1:        README.fedora
BuildArch:      noarch

Requires:       mediawiki127

%description
Outputs a bulleted list of most recent items
residing in a category, or an intersection
of several categories.
DynamicPageList is another name for this extension.

%prep
%setup -q -n intersection
cp %{SOURCE1} README.fedora

%build

%install
mkdir -p %{buildroot}%{_datadir}/mediawiki127/extensions/intersection/
mkdir -p %{buildroot}%{_datadir}/mediawiki127/extensions/intersection/i18n/
install -cpm 644 %{_builddir}/%{buildsubdir}/*.php %{buildroot}%{_datadir}/mediawiki127/extensions/intersection/
install -cpm 644 %{_builddir}/%{buildsubdir}/i18n/*.json %{buildroot}%{_datadir}/mediawiki127/extensions/intersection/i18n/

%files
%defattr(-,root,root,-)
%{_datadir}/mediawiki127/extensions/intersection

%changelog
* Wed Sep 07 2016 Kevin Fenzi <kevin@scrye.com> - 1.7.0-1
- Initial version for epel7
